rem
rem Header: hr8_main.sql 09-jan-01
rem
rem Copyright (c) 2001, Oracle Corporation.  All rights reserved.  
rem
rem Owner  : ahunold
rem
rem NAME
rem   hr8_main.sql - Main script for hr8 schema
rem
rem DESCRIPTON
rem   hr8 (Human Resources) is the smallest and most simple one 
rem   of the Sample Schemas
rem   
rem NOTES
rem   Run as SYS or SYSTEM
rem
rem MODIFIED   (MM/DD/YY)
rem   ahunold   10/03/01 - Oracle8i version
rem   cmcaulay  02/27/02 - added variable for machine name to install on remote db


SET ECHO OFF

 
PROMPT 
PROMPT specify log path as parameter 5:
DEFINE log_path = &5
PROMPT



-- The first dot in the spool command below is 
-- the SQL*Plus concatenation character

DEFINE spool_file = &log_path.hr8_main.log
SPOOL &spool_file

REM =======================================================
REM cleanup section
REM =======================================================


@@hr8_cre

-- 
-- populate tables
--

@@hr8_popul

--
-- create indexes
--

@@hr8_idx

--
-- create procedural objects
--

@@hr8_code

--
-- add comments to tables and columns
--

@@hr8_comnt

--
-- gather schema statistics
--

rem @@hr8_analz

spool off
